ServerEvents.recipes(event => {
    const essenseRecipes = [
        { result: 'enicreo:essense_1', ingredient: 'enicreo:essense' },
        { result: 'enicreo:essense_2', ingredient: 'enicreo:essense_1' },
        { result: 'enicreo:essense_3', ingredient: 'enicreo:essense_2' }
    ];

    essenseRecipes.forEach(recipe => {
        event.recipes.createCompacting(
            [Item.of(recipe.result)],
            Array(9).fill(Item.of(recipe.ingredient))
        ).superheated();
    });
    event.recipes.createCompacting(
        [Item.of('enigmaticlegacy:earth_heart')],
        [
            Item.of('enigmaticaddons:earth_heart_fragment'),
            Item.of('enigmaticaddons:earth_heart_fragment'),
            Item.of('enigmaticaddons:earth_heart_fragment'),
            Item.of('enigmaticaddons:earth_heart_fragment'),
            Item.of('enicreo:essense'),
            Item.of('enigmaticaddons:earth_heart_fragment'),
            Item.of('enigmaticaddons:earth_heart_fragment'),
            Item.of('enigmaticaddons:earth_heart_fragment'),
            Item.of('enigmaticaddons:earth_heart_fragment')
        ]
    ).heated();
    event.recipes.createCompacting(
        [Item.of('enicreo:lightingot')],
        [
            Item.of('enigmaticlegacy:etherium_ingot'),
            Item.of('botanicpledge:yggdrasilsteel_ingot'),
            Item.of('irons_spellbooks:arcane_ingot'),
            Item.of('botania:manasteel_ingot'),
            Item.of('celestial_core:guardian_ocean_ingot'),
            Item.of('botania:gaia_ingot'),
            Item.of('botania:terrasteel_ingot'),
            Item.of('cataclysm:cursium_ingot'),
            Item.of('createchromaticreturn:refined_radiance')
        ]
    ).superheated();
    event.recipes.createCompacting(
        [Item.of('enicreo:nightingot')],
        [
            Item.of('tfmg:steel_ingot'),
            Item.of('cataclysm:black_steel_ingot'),
            Item.of('tfmg:lead_ingot'),
            Item.of('cataclysm:witherite_ingot'),
            Item.of('tfmg:magnetic_ingot'),
            Item.of('createchromaticreturn:industrium_ingot'),
            Item.of('minecraft:netherite_ingot'),
            Item.of('createchromaticreturn:shadow_steel'),
            Item.of('tfmg:cast_iron_ingot')
        ]
    ).superheated();
    event.recipes.createCompacting(
        [Item.of('enicreo:resonatinggem')],
        [
            Item.of('enigmaticlegacy:astral_dust'),
            Item.of('born_in_chaos_v1:transformative_flower'),
            Item.of('aquamirae:abyssal_amethyst'),
            Item.of('create_unbreakable:philolite'),
            Item.of('create_unbreakable:luminarchy'),
            Item.of('cataclysm:coral_chunk'),
            Item.of('irons_spellbooks:permafrost_shard'),
            Item.of('irons_spellbooks:arcane_salvage'),
            Item.of('ars_nouveau:source_gem')
        ]
    );

});

